Bug 822844 - giflib-5.1.4 is available
Summary: giflib-5.1.4 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: giflib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-18 10:19 UTC by Upstream Release Monitoring
Modified: 2018-02-14 15:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-14 15:24:23 UTC
Type: ---


Attachments (Terms of Use)
spec file patch (1.09 KB, patch)
2013-06-07 15:31 UTC, Account closed by the user
no flags Details | Diff
[patch] Update to 5.1.2 (#822844) (971 bytes, patch)
2016-01-07 13:00 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.30 KB, patch)
2016-03-18 00:15 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.30 KB, patch)
2016-04-04 00:17 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2012-05-18 10:19:01 UTC
Latest upstream release: 4.2.0
Current version in Fedora Rawhide: 4.1.6
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2012-06-20 07:20:51 UTC
Latest upstream release: 5.0.0
Current version in Fedora Rawhide: 4.1.6
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2012-10-15 08:45:47 UTC
Latest upstream release: 5.0.1
Current version in Fedora Rawhide: 4.1.6
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2012-10-24 07:10:45 UTC
Latest upstream release: 5.0.2
Current version in Fedora Rawhide: 4.1.6
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2012-12-31 14:23:09 UTC
Latest upstream release: 5.0.3
Current version in Fedora Rawhide: 4.1.6
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Upstream Release Monitoring 2013-01-07 11:05:14 UTC
Latest upstream release: 5.0.4
Current version in Fedora Rawhide: 4.1.6
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Account closed by the user 2013-05-06 15:41:29 UTC
5.x was released one year ago, is there any plan for Fedora ?

API changes/compatibility report for the giflib library:
http://upstream-tracker.org/versions/giflib.html

Comment 7 Account closed by the user 2013-05-30 12:10:53 UTC
ping !!

Comment 8 Robert Scheck 2013-05-30 15:39:31 UTC
Any patch suggestions for the *.spec file?

Comment 9 Account closed by the user 2013-06-07 15:31:55 UTC
Created attachment 758222 [details]
spec file patch

Comment 10 Account closed by the user 2013-06-13 15:08:00 UTC
(In reply to Robert Scheck from comment #8)
> Any patch suggestions for the *.spec file?

ping!

Comment 11 Account closed by the user 2013-06-20 17:15:43 UTC
This part of the spec file is buggy:

# Handling of libungif compatibility
MAJOR=`echo '%{version}' | sed -e 's/\([0-9]\+\)\..*/\1/'`
%{__cc} $RPM_OPT_FLAGS -shared -Wl,-soname,libungif.so.$MAJOR -Llib/.libs -lgif -o libungif.so.%{version}


SONAME VERSION in giflib-5.0 was changed to "6"

Comment 12 Robert Scheck 2013-06-21 21:25:35 UTC
Does it really make sense to keep libungif compatibility?

Comment 13 Account closed by the user 2013-06-22 15:04:05 UTC
(In reply to Robert Scheck from comment #12)
> Does it really make sense to keep libungif compatibility?

repoquery shows two dependencies: driftnet and WindowMaker(subpackage WINGs-devel)

Other than that, I think there will be not any trouble.

Comment 14 Toshio Ernie Kuratomi 2013-06-25 14:25:33 UTC
(In reply to Robert Scheck from comment #12)
> Does it really make sense to keep libungif compatibility?

Probably not.  At this point in time, any software that links against libungif should just be patched to link against giflib instead.  The last known LZW patents that affect GIFs expired in 2006: http://www.gnu.org/philosophy/gif.html#returnnote

Comment 15 Upstream Release Monitoring 2013-09-01 21:53:10 UTC
Latest upstream release: 5.0.5
Current version/release in Fedora Rawhide: 4.1.6-9.fc20
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 16 Account closed by the user 2013-11-07 02:07:32 UTC
any news on that ?

Comment 17 Account closed by the user 2013-11-22 15:03:18 UTC
ping!

Comment 18 Stanislav Ochotnicky 2013-11-25 09:56:19 UTC
You do realize you broke whole Java stack by updating to 5.0.5 and breaking OpenJDK? A rehash of updates policy for rawhide[1]

1. Try not to push a clearly broken build (breaks the default buildroot package set, etc)
2. A week in advance, notify maintainers who depend on their package to rebuild when there are abi/api changes that require rebuilds in other packages or offer to do these rebuilds for them.
3. Use a separate buildsystem tag when dealing with mass builds of many packages, so they can land at the same time. File a ticket with https://fedorahosted.org/rel-eng/newticket for this.
4. Feel free to push out the newest version of packages as long as they do not cause breakage. Also keep in mind that the next Fedora release will be branched off rawhide a few months down the road. Therefore, it is best to only push development releases to rawhide if you are fairly confident that there will be a stable enough release in time for the next Fedora release. Otherwise you may have to back down to an older, stable version after the branching, which may involve epochs and other inconveniences. 

Read point 2 carefully. Week in advance. If this was announced anywhere it didn't reach OpenJDK maintainers. I understand that some upstreams slip soname changes in micro updates so they can go by unnoticed but this was a known major release. Please be more careful next time

[1] https://fedoraproject.org/wiki/Updates_Policy#Rawhide_.2F_devel_.2F_master

Comment 19 Robert Scheck 2013-11-25 10:29:08 UTC
Uhm? I did a repoquery before, but apparently my used command was wrong:

$ repoquery --repofrompath=rawhide,http://download.fedoraproject.org/pub/linux/fedora/linux/development/rawhide/x86_64/os -q -a --whatrequires giflib-devel
giflib-devel-0:4.1.6-9.fc20.x86_64
giflib-devel-0:4.1.6-9.fc20.i686
WINGs-devel-0:0.95.5-1.fc21.i686
WINGs-devel-0:0.95.5-1.fc21.x86_64
WINGs-devel-0:0.95.5-2.el6.i686
WINGs-devel-0:0.95.5-2.el6.x86_64
imlib-devel-1:1.9.15-14.el6.i686
imlib-devel-1:1.9.15-14.el6.x86_64
imlib-devel-1:1.9.15-24.fc20.i686
imlib-devel-1:1.9.15-24.fc20.x86_64
$

When I now cross-checked the "Component of Buildroot" there are indeed more
packages...sorry!

Comment 20 Mikolaj Izdebski 2013-11-25 10:43:56 UTC
(In reply to Robert Scheck from comment #19)
> Uhm? I did a repoquery before, but apparently my used command was wrong:

You can use this query:

for p in $(repoquery --repoid rawhide -a --qf '%{base_package_name} %{name}' | awk '/^giflib /{print$2}' | sort -u); do repoquery --repoid rawhide -s --whatrequires $p && repoquery --repoid rawhide-source --arch=src --whatrequires $p; done | sed 's|-[^-]*-[^-]*$||' | sort -u | egrep -v "^giflib$"

Comment 21 Robert Scheck 2013-11-25 10:58:20 UTC
Oh...that's a more complicated command. Thank you! And yes, now I get that
you are a bit upset about the giflib bump.

driftnet
ekg2
emacs
evas
fbida
fontforge
gdal
gnash
gnustep-gui
imlib
imlib2
java-1.7.0-openjdk
java-1.8.0-openjdk
kdelibs
kmess
kopete
leptonica
libextractor
libgdiplus
libwebp
MagicPoint
mapserver
mathgl
mplayer
mtpaint
ocaml-camlimages
OpenSceneGraph
perl-Imager
perl-Prima
pslib
python-gd
spamassassin-FuzzyOcr
sxiv
tracker
WindowMaker
xemacs
xplanet
xteddy

Okay...I broke it, thus I'll also try to fix it: Does it still make sense to
use a buildsystem tag now that the new giflib has landed in Rawhide? Or is it
better to fire simply rebuilds of the affected packages? Suggestions?

Comment 22 Account closed by the user 2014-01-13 15:08:03 UTC
Any chance of having this for f21 ?

Comment 23 Fedora Admin XMLRPC Client 2014-01-31 14:43:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 24 Jaromír Cápík 2014-01-31 18:52:06 UTC
Hello Xose.

According to the following compatibility report the difference between 4.1.x and 5.0.x is so huge, that it isn't easily possible to update to giflib 5 unless all the dependent software projects included in fedora introduce support for the new giflib interface.

http://upstream-tracker.org/compat_reports/giflib/4.2.3_to_5.0.0/abi_compat_report.html

99% incompatibility means it's completely rewritten and even more incompatible than openjpeg 1.5 and 2.0 where I rejected the update request too.

We have to wait few years to give the upstream maintainers enough time to do the transition without our intervention -OR- find somebody who can write and submit patches upstream.

Regards,
Jaromir.

Comment 25 Upstream Release Monitoring 2014-03-30 09:14:49 UTC
Latest upstream release: 5.0.6
Current version/release in Fedora Rawhide: 4.1.6-10.fc21
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 26 Upstream Release Monitoring 2014-05-22 19:02:42 UTC
Latest upstream release: 5.1.0
Current version/release in Fedora Rawhide: 4.1.6-10.fc21
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 27 Upstream Release Monitoring 2015-01-09 08:41:26 UTC
Latest upstream release: 5.1.1
Current version/release in Fedora Rawhide: 4.1.6-12.fc22
URL: http://sourceforge.net/api/file/index/project-name/giflib/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 28 MartinKG 2015-05-04 12:33:05 UTC
any news on that, are there so many packages that depend on this version ?

Comment 29 Account closed by the user 2015-05-05 13:05:10 UTC
(In reply to MartinKG from comment #28)

> any news on that, are there so many packages that depend on this version ?

API and ABI were changed in releases >4.1 :
http://upstream-tracker.org/versions/giflib.html
http://giflib.sourceforge.net/gif_lib.html#compatibility

And except latest devel releases of Arch, Gentoo and Slackware all major
distributions bring 4.1 : http://oswatershed.org/pkg/giflib


So don't expect a lot of packages depend on giflib-5.


It could be a good idea to have a new giflib-5 package in Fedora
to make the transition easier.

Comment 30 Jaromír Cápík 2015-05-05 14:56:22 UTC
I don't feel comfortable with introducing giflib 5 as a new package, because the header files are installed to the same location and conflict with the version 4. That would introduce a new and unnecessary mess in the distribution. I personally don't understand why upstream decided to use the same header path for two incompatible headers.

Comment 31 Account closed by the user 2015-05-05 15:19:03 UTC
(In reply to Jaromír Cápík from comment #30)

> distribution. I personally don't understand why upstream decided to use the
> same header path for two incompatible headers.


You could ask upstream to fix that, now that the spread of giflib-5 is limited and very low.

Comment 32 Upstream Release Monitoring 2016-01-07 13:00:12 UTC
Latest upstream release: 5.1.2
Current version/release in rawhide: 4.1.6-14.fc24
URL: http://sourceforge.net/projects/giflib

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 33 Upstream Release Monitoring 2016-01-07 13:00:26 UTC
Created attachment 1112440 [details]
[patch] Update to 5.1.2 (#822844)

Comment 34 Upstream Release Monitoring 2016-01-07 13:03:16 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12449129

Comment 35 Upstream Release Monitoring 2016-03-18 00:14:40 UTC
Latest upstream release: 5.1.3
Current version/release in rawhide: 4.1.6-15.fc24
URL: http://sourceforge.net/projects/giflib

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1158/

Comment 36 Upstream Release Monitoring 2016-03-18 00:15:00 UTC
Patching or scratch build for giflib and version 4.1.6 FAILED.
See for details

Comment 37 Upstream Release Monitoring 2016-03-18 00:15:03 UTC
Created attachment 1137612 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 38 Upstream Release Monitoring 2016-03-18 00:15:07 UTC
Patches were not touched. All were applied properly

Comment 39 Upstream Release Monitoring 2016-04-04 00:16:50 UTC
Latest upstream release: 5.1.4
Current version/release in rawhide: 4.1.6-15.fc24
URL: http://sourceforge.net/projects/giflib

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1158/

Comment 40 Upstream Release Monitoring 2016-04-04 00:17:04 UTC
Patching or scratch build for giflib and version 4.1.6 FAILED.
See for details

Comment 41 Upstream Release Monitoring 2016-04-04 00:17:07 UTC
Created attachment 1143121 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 42 Upstream Release Monitoring 2016-04-04 00:17:10 UTC
Patches were not touched. All were applied properly

Comment 43 Account closed by the user 2016-04-04 10:19:09 UTC
(In reply to Upstream Release Monitoring from comment #39)

> Latest upstream release: 5.1.4
> Current version/release in rawhide: 4.1.6-15.fc24
> URL: http://sourceforge.net/projects/giflib
> [...]
> Based on the information from anitya: 
> https://release-monitoring.org/project/1158/

Removed from Anitya, monitoring is not useful for Fedora.

Comment 44 Account closed by the user 2016-04-23 10:15:05 UTC
(In reply to Jaromír Cápík from comment #30)

> I don't feel comfortable with introducing giflib 5 as a new package, because
> the header files are installed to the same location and conflict with the
> version 4. That would introduce a new and unnecessary mess in the
> distribution. I personally don't understand why upstream decided to use the
> same header path for two incompatible headers.

Hi Jaromír,

Today it does not seem very risky.
All others have already done it.

https://software.opensuse.org/package/giflib
openSUSE-Tumbleweed     5.1.4
openSUSE-Leap-42.1      5.0.5
SLES-12                 5.0.5

https://packages.debian.org/search?keywords=giflib&searchon=sourcenames&exact=1&suite=all&section=all
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=803158
Debian-sid-unstable     5.1.4
Debian-stretch-testing  5.1.4
Debian-jessie-stable    4.1.6

http://packages.ubuntu.com/search?keywords=giflib&searchon=sourcenames&exact=1&suite=all&section=all
Ubuntu-16.04-LTS-xenial 5.1.2

https://www.archlinux.org/packages/?sort=&q=giflib
archlinux               5.1.2

http://ftp.osuosl.org/pub/slackware/slackware64-current/ChangeLog.txt
Slackware-14.2rc1       5.1.1
Slackware-14.1          4.1.6

https://packages.gentoo.org/packages/media-libs/giflib
gentoo-testing          5.1.4
gentoo-stable           4.1.6

http://madb.mageia.org/package/show/source/1/application/0/release/cauldron/name/giflib
http://madb.mageia.org/package/show/name/giflib/application/0/source/1
Mageia-cauldron         5.1.2
Mageia-5                4.2.3
~

Comment 45 Sergio Basto 2017-07-24 00:39:26 UTC
+1 , could we updated for F27 ? 

dnf repoquery --disablerepo='*' --enablerepo=rawhide --whatrequires giflib --available  --alldeps --qf "%{sourcerpm}" --quiet | sed 's|\(-[^-]\+\)\{2\}src.rpm||' | sort 

driftnet
efl
emacs
fontforge
gdal
giflib
imlib
imlib2
java-1.8.0-openjdk
kdelibs
kf5-khtml
leptonica
libextractor
libgdiplus
librasterlite2
libwebp
MagicPoint
mapserver
mathgl
metapixel
ming
mtpaint
ocaml-camlimages
OpenImageIO
OpenSceneGraph
perl-Imager
perl-Prima
python-gd
sxiv
tracker
vips
WindowMaker
xemacs
xplanet

Comment 46 Kevin Fenzi 2017-07-24 17:44:56 UTC
Perhaps someone could try this out in a copr? ie, build new giflib and then rebuild all the rawhide versions of the above dependent packages against it and see what fails/needs work?

Comment 47 Sandro Mani 2018-01-22 23:11:54 UTC
Since leptonica went giflib-5 only, I gave it a shot [1], overall does not look bad most build out of the box, a few need some minor patching.

Biggest headache is java-1.8.0-openjdk which has a BR on itself (java-1.8.0-openjdk-devel), resulting in it wanting to pull in also giflib-4. Know nothing about openjdk packaging, so not sure what the best way is to create a bootstrap build for giflib5. My attempt to just leave out BR: giflib-devel ended up in

*** SRC specified to SetupNativeCompilation LIBSPLASHSCREEN contains missing directory /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.151-3.b12.fc28.x86_64/openjdk/jdk/src/share/native/sun/awt/giflib.  Stop.

Anyone with any suggestions?

Following packages depend on java-1.8.0-openjdk hence could not be build yet:

java-9-openjdk
libwebp
gdal
OpenImageIO
mapserver

And then we have:

mathgl: appears to be an unrelated segfault (Generating png/light.png
cd /builddir/build/BUILD/mathgl-2.4.1/x86_64-redhat-linux-gnu_serial/texinfo/png && /builddir/build/BUILD/mathgl-2.4.1/x86_64-redhat-linux-gnu_serial/examples/mgl_example -kind=light -> kaboom)

imlib: could be patched, but actually has little reason to still exist since the only requiree, MagicPoint, also builds against imlib2. So imlib should just be retired.

magicpoint: unrelated FTBFS (error: dereferencing pointer to incomplete type 'png_struct {aka struct png_struct_def}')


Should I file a self-contained change for this?


[1] https://copr.fedorainfracloud.org/coprs/smani/giflib5/builds/

Comment 48 Sergio Basto 2018-01-22 23:19:41 UTC
Hi, 
yes and also we may open an nonresponsive process to package owner and take the package

Comment 49 Sandro Mani 2018-01-23 12:08:48 UTC
I'll prepare a change page this evening. The non-responsive maintainer process was already done for jcapik [1][2], so I've asked to become owner directly in [2].

[1] https://pagure.io/fesco/issue/1786
[2] https://pagure.io/releng/issue/7173

Comment 50 Sandro Mani 2018-01-23 22:59:55 UTC
Change: https://fedoraproject.org/wiki/User:Smani/Changes/GifLib5

Comment 51 Sandro Mani 2018-02-14 15:24:23 UTC
giflib-5.1.4 is now in rawhide


Note You need to log in before you can comment on or make changes to this bug.